﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="DisplayDir.ascx.cs" Inherits="DisplayDir" %>

	<asp:Label ID="LabelError" runat="server" EnableViewState="false" CssClass="ERR"></asp:Label>

	<asp:DropDownList ID="DropDownListHosts" runat="server" OnSelectedIndexChanged="DropDownListHosts_SelectedIndexChanged" AutoPostBack="True"></asp:DropDownList>

	<asp:GridView ID="GridViewDrives" runat="server" DataKeyNames="Name" AutoGenerateColumns="false" CssClass="T1" Width="100%" OnSelectedIndexChanged="GridViewDrives_SelectedIndexChanged">
		<HeaderStyle CssClass="T1H" />
		<RowStyle CssClass="T1R" />
		<AlternatingRowStyle CssClass="T1A" />
		<SelectedRowStyle CssClass="T1S" />
		<Columns>
			<asp:TemplateField HeaderText="Name">
				<ItemTemplate>
					<asp:LinkButton ID="LinkButtonName" runat="server" Text='<%# Eval("Name") %>' CommandName="Select">
					</asp:LinkButton>
				</ItemTemplate>
			</asp:TemplateField>
			<asp:BoundField HeaderText="Label" DataField="VolumeLabel" />
			<asp:BoundField HeaderText="Format" DataField="DriveFormat" />
			<asp:BoundField HeaderText="Type" DataField="DriveType" />

			<asp:TemplateField HeaderText="Used">
				<ItemTemplate>

					<%# Eval("UsedPercent") %> %

					<table style="width:128px;border-collapse:collapse;">
						<tr style="height:16px;">
							<td style="width:<%# Eval("UsedPercent") %>%;background-color:<%# BarColour(Eval("UsedPercent"))%>;"></td>
							<td style="background-color:black;"></td>
						</tr>
					</table>
				</ItemTemplate>
			</asp:TemplateField>

			<asp:TemplateField HeaderText="Total">
				<ItemTemplate>
					<%# Spludlow.Text.DataSize((long)Eval("TotalSize"))%>
				</ItemTemplate>
			</asp:TemplateField>
			<asp:TemplateField HeaderText="Free">
				<ItemTemplate>
					<%# Spludlow.Text.DataSize((long)Eval("TotalFreeSpace"))%>
				</ItemTemplate>
			</asp:TemplateField>
			<asp:TemplateField HeaderText="Available">
				<ItemTemplate>
					<%# Spludlow.Text.DataSize((long)Eval("AvailableFreeSpace"))%>
				</ItemTemplate>
			</asp:TemplateField>
		</Columns>
	</asp:GridView>

	<asp:Literal ID="LiteralCurrentDirectory" runat="server" Visible="false"></asp:Literal>

	<asp:DataList ID="DataListPathParts" runat="server" DataKeyField="Path" RepeatDirection="Horizontal">
		<ItemTemplate>
			<asp:LinkButton ForeColor="White" ID="LinkButtonPathParts" runat="server" Text='<%# Eval("Name") %>' oncommand="LinkButtonPathParts_Command"></asp:LinkButton>
				&nbsp;/&nbsp;
		</ItemTemplate>
	</asp:DataList>

	<asp:GridView ID="GridViewDirectory" runat="server" CssClass="T1" Width="100%" DataKeyNames="Type, Path" AutoGenerateColumns="false" OnSelectedIndexChanged="GridViewDirectory_SelectedIndexChanged">
					<HeaderStyle CssClass="T1H" />
					<RowStyle CssClass="T1R" />
					<AlternatingRowStyle CssClass="T1A" />
					<SelectedRowStyle CssClass="T1S" />

		<Columns>


			<asp:TemplateField HeaderText="Path">
				<ItemTemplate>
					<asp:LinkButton ID="LinkButtonPath" runat="server" Text='<%# Eval("Path") %>' CommandName="Select" Font-Bold='<%# DirectoryBold((string)Eval("Type"))%>'>
					</asp:LinkButton>
				</ItemTemplate>
			</asp:TemplateField>

			<asp:BoundField HeaderText="Bytes" DataField="Length" />
			<asp:TemplateField HeaderText="Size">
				<ItemTemplate>
					<asp:Literal ID="LiteralLength" Text='<%# DataSize((string)Eval("Type"), (ulong)Eval("Length"))%>' runat="server"></asp:Literal>
				</ItemTemplate>
			</asp:TemplateField>

			<asp:BoundField HeaderText="Modified" DataField="LastWriteTime" />

			<asp:CheckBoxField HeaderText="Read Only" DataField="ReadOnly" />
			<asp:CheckBoxField HeaderText="Hidden" DataField="ReadOnly" />
			<asp:CheckBoxField HeaderText="System" DataField="ReadOnly" />


		</Columns>
		

	</asp:GridView>

<asp:Literal ID="LiteralInfo" runat="server"></asp:Literal>